System.Web.Services 2.0.0.0 System.Object To be added.

The class is used to get, set, write, and read SOAP header content to and from SOAP messages.

- Constructor
  To be added.

  Initializes a new instance of .

  2.0.0.0
- Method
  System.Void `` To be added.

  Checks to ensure that the SOAP headers that must be understood have been understood; if not, this method throws an exception.

  The that contains the SOAP headers. 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added.

  Gets the SOAP header content for the specified SOAP message.

  The that contains the SOAP headers. A that represents the SOAP message. An array of type that contains the mappings for the SOAP headers. A value that indicates the direction of the SOAP headers. This parameter is currently not used. 2.0.0.0
- Method
  System.String `` `` `` `` `` `` `` `` To be added.

  Returns a that contains the SOAP header content of the SOAP message.

  A that contains the SOAP header content of the SOAP message.

  The to be used in writing the headers. The to be used in reading the headers. The that contains the SOAP headers. An array of type that contains the mappings for the SOAP headers. A value that indicates the direction of the SOAP headers. A that contains the namespace for the SOAP message envelope. A that contains the encoding style for the SOAP headers. A that indicates whether to check for the required SOAP headers. 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added.

  Sets the SOAP header content for the specified SOAP message.

  The that contains the SOAP headers. A that represents the SOAP message. An array of type that contains the mappings for the SOAP headers. A value that indicates the direction of the SOAP headers. This parameter is currently not used. 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` `` To be added.

  Writes the specified SOAP header content to the SOAP message.

  The to be used in writing the headers. The to be used in writing the headers. The that contains the SOAP headers to be written. An array of type that contains the mappings for the SOAP headers. A value that indicates the direction of the SOAP headers. A that indicates whether the SOAP headers are encoded. A that contains the default namespace for the XML Web service. A that indicates whether data sent to and from the XML Web service is encoded by default. A that contains the namespace for the SOAP message envelope. 2.0.0.0
- Method
  System.Void `` `` `` To be added.

  Writes the specified SOAP header content to the SOAP message.

  The to be used in writing the headers. The that contains the SOAP headers to be written. A that contains the namespace for the SOAP message envelope. 2.0.0.0